/*
   core/parser.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_PARSER_H__
#define __INCLUDED_CORE_PARSER_H__


#include "filesystem/inifile.h"
#include "core/entity.h"

namespace core
{

/// general parser routines
class Parser
{
public:
	/// read default entity keys from an ini file
	static bool got_entity_key(filesystem::IniFile &inifile, core::Entity *entity);
};

}

#endif // __INCLUDED_CORE_PARSER_H__
