/*
   base/planet.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2.
*/

#include "base/game.h"
#include "base/planet.h"


namespace game
{

Planet::Planet() : core::EntityGlobe()
{
	set_flag(core::Entity::ShowOnMap);

	get_color().assign(1.0f, 1.0f);	// white
	set_radius(64.0f);		// 64 game units

	entity_moduletypeid = planet_enttype;

	entity_rotationspeed = 1.0f;
}

Planet::~Planet()
{

}

} // namespace game
